### Virtual Method

# EDataBook BookBackend impl_set_view_sort_fields

#### Declaration [src]

    void
    impl_set_view_sort_fields (
      EBookBackend* backend,
      gsize view_id,
      const EBookClientViewSortFields* fields
    )

#### Description [src]

Sets sort fields for “manual query” views; default implementation saves the values into internal structures, which can be read back with e_book_backend_dup_view_sort_fields(). Since 3.50.

#### Parameters

`view_id`

  Type: `gsize`

  No description available.

`fields`

  Type: `EBookClientViewSortFields`

  No description available.

  The data is owned by the caller of the method.